/*
 * #%L
 * *********************************************************************************************************************
 * 
 * SolidBlue - open source safe data
 * http://solidblue.tidalwave.it - hg clone https://bitbucket.org/tidalwave/solidblue-src
 * %%
 * Copyright (C) 2011 - 2013 Tidalwave s.a.s. (http://tidalwave.it)
 * %%
 * *********************************************************************************************************************
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 * 
 * *********************************************************************************************************************
 * 
 * $Id$
 * 
 * *********************************************************************************************************************
 * #L%
 */
package it.tidalwave.integritychecker.archive.ui.impl.netbeans;

import javax.annotation.Nonnull;
import javax.swing.ImageIcon;
import it.tidalwave.integritychecker.archive.ui.ScanArchivePresentation;
import org.openide.awt.Notification;
import org.openide.awt.NotificationDisplayer;
import org.openide.util.RequestProcessor;
import lombok.extern.slf4j.Slf4j;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@Slf4j
public class NetBeansScanArchivePresentation implements ScanArchivePresentation
  {
    @Override
    public void notify (final @Nonnull String string) 
      {
        log.info(string);
        final Notification notification = NotificationDisplayer.getDefault().notify("", new ImageIcon(), string, null);
        RequestProcessor.getDefault().post(new Runnable() 
          {
            @Override
            public void run() 
              {
                notification.clear();
              }
          }, 5000);
      }
  }
